Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.io
Class DirectoryItemHandler

All Known Implementing Classes:
  DeleteDirectory, ListDirectory

    public interface class DirectoryItemHandler

The `DirectoryItemHandler` interface defines a single method, `handleItem`, which is used to perform some operation on the items within an entire directory tree in the local filesystem. `DirectoryTree.traverse` calls the `handleItem` method for every item in the tree, allowing clients who implement this interface to provide different applications for directory traversals, such as listing files, renaming items, copying files, etc.

Modified:
  dlong 01/25/2005 change handleItem to return boolean, lsaenz 12/04/1999 Updated comments., lsaenz 11/22/1999 Created.

Method Summary
`boolean` | `handleItem(java.io.File file, int howDeep)` Performs some operation on the current File in a directory tree traversal in the local filesystem.

Method Detail

### handleItem

    boolean handleItem(java.io.File file,
                       int howDeep)
                       throws java.lang.Exception

  Description copied from interface: `DirectoryItemHandler`
  Performs some operation on the current File in a directory tree traversal in the local filesystem. This method is called by `DirectoryTree.traverse`.

  Parameters:
    `file` - the current File being handled by `DirectoryTree.traverse`.
    `howDeep` - how "deep" the traversal is in the tree, with respect to the root folder in the local filesystem. (i.e., if the current file is: `/foo/bar/a/b/x.txt` and the root of the traversal was specified as `/foo/bar`, then `howDeep == 2`.)
  Returns:
    true if the traversal is free to continue; false if it shoul dbe short-circuited
  Throws:
    `java.lang.Exception` - if anything goes wrong while handling the item. Clients who implement this interface should throw whatever specific subclass of Exception is necessary from their implementation of this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD